<template>
  <div class="hello mt-5">
    <div class="container h-100">
      <div class="row h-100 justify-content-center align-items-center">
        <div class="card w-50">
          <div class="card-body">
            <h4 class="card-title text-center mb-4">Login</h4>
            <div class="dropdown-divider"></div>
            <form class="my-4" @submit.prevent="login">
              <div class="form-group">
                <label for="username">Username</label>
                <input
                  type="text"
                  class="form-control"
                  id="username"
                  name="username"
                  required
                  v-model="username"
                /></div>
              <div class="form-group">
                <label for="password">Password</label>
                <input
                  type="password"
                  class="form-control"
                  id="password"
                  name="password"
                  required
                  v-model="password"
                />
              </div>
               <div class="form-group">
                <label for="role">Level</label>
                <select
                  class="form-control"
                  name="role" 
                  id="role" 
                  v-model="role"
                >
                  <option value="logistik">Logistik</option>
                  <option value="peminjam">Peminjam</option>
                </select>
              </div>
              <div class="dropdown-divider my-4"></div>
              <div class="form-group text-center">
                <button
                  type="submit"
                  class="btn btn-primary w-50"
                  name="submit"
                  value="submit"
                >
                  Login
                </button>
              </div>
              <h6>belum punya akun ? <a href="register">Register</a></h6>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
//import authService from "@/service/auth";
/*eslint-disable*/
import axios from 'axios'

export default {
  data() {
    return {
      username : "",
      password : "",
      role : ""
    };
  },
  methods: {
    login() {
      var data = JSON.stringify({"username" : this.username,
          "password":this.password,
          "role":this.role});
      axios({
        method: "post",
        url: "https://management.masuk.id/mapalabe/auth/login.php",
        headers: {
            "Content-Type": "application/json"
        },
        data: data,
      })
        .then(async response => {
          const data = await response;
          if (data.status == 200) {
            alert("Login Berhasil");
            if(data.data.role == 'logistik'){
              this.$router.push("home");
              
            }else{
              this.$router.push("peminjam/read");
            }
          // }else{
          //   alert("Login Gagal");
          //   this.$router.push("login");
          }
        })
        .catch(err => {
          //handle error
          // console.log(err);
          alert(err.response.data.message);
        });
    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
